## org.eclipse.datatools.modelbase.sql.schema
Interface SQLSchemaFactory

All Known Implementing Classes:
  SQLSchemaFactoryImpl

public interface SQLSchemaFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLSchemaPackage`

Field Summary
`static SQLSchemaFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`Catalog` `createCatalog()` Returns a new object of class 'Catalog'.
`Comment` `createComment()` Returns a new object of class 'Comment'.
`Database` `createDatabase()` Returns a new object of class 'Database'.
`Dependency` `createDependency()` Returns a new object of class 'Dependency'.
`Event` `createEvent()` Returns a new object of class 'Event'.
`IdentitySpecifier` `createIdentitySpecifier()` Returns a new object of class 'Identity Specifier'.
`Schema` `createSchema()` Returns a new object of class 'Schema'.
`Sequence` `createSequence()` Returns a new object of class 'Sequence'.
`SQLSchemaPackage` `getSQLSchemaPackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    public static final SQLSchemaFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createIdentitySpecifier

    public IdentitySpecifier createIdentitySpecifier()

  Returns a new object of class 'Identity Specifier'.

  Returns:
    a new object of class 'Identity Specifier'.

### createDependency

    public Dependency createDependency()

  Returns a new object of class 'Dependency'.

  Returns:
    a new object of class 'Dependency'.

### createSchema

    public Schema createSchema()

  Returns a new object of class 'Schema'.

  Returns:
    a new object of class 'Schema'.

### createSequence

    public Sequence createSequence()

  Returns a new object of class 'Sequence'.

  Returns:
    a new object of class 'Sequence'.

### createDatabase

    public Database createDatabase()

  Returns a new object of class 'Database'.

  Returns:
    a new object of class 'Database'.

### createEvent

    public Event createEvent()

  Returns a new object of class 'Event'.

  Returns:
    a new object of class 'Event'.

### createComment

    public Comment createComment()

  Returns a new object of class 'Comment'.

  Returns:
    a new object of class 'Comment'.

### createCatalog

    public Catalog createCatalog()

  Returns a new object of class 'Catalog'.

  Returns:
    a new object of class 'Catalog'.

### getSQLSchemaPackage

    public SQLSchemaPackage getSQLSchemaPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.